import com.oli.mapper.ClassMapper;
import com.oli.mapper.StudentMapper;
import com.oli.pojo.Classes;
import com.oli.pojo.Student;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import java.io.InputStream;
import java.util.List;

public class TestManyTableQuery {
    InputStream is = null;
    SqlSession session = null;
//    StudentMapper studentMapper = null;

    @Before
    public void before() throws Exception {
        //读取配置文件
        is = Resources.getResourceAsStream("SqlMapConfig.xml");
        //创建SqlSessionFactoryBuilder对象
        SqlSessionFactoryBuilder builder = new SqlSessionFactoryBuilder();
        //SqlSessionFactoryBuilder对象获取SqlSessionFactory对象
        SqlSessionFactory factory = builder.build(is);
        //SqlSessionFactory对象获取SqlSession对象
        session = factory.openSession();
        //获取代理对象
//        studentMapper = session.getMapper(StudentMapper.class);
    }

    @After
    public void after() throws Exception {
        if (session != null){
            session.close();
        }
        if (is != null){
            is.close();
        }
    }

    @Test
    public void testFindAllStudent(){
        StudentMapper studentMapper = session.getMapper(StudentMapper.class);
        List<Student> all = studentMapper.findAllStudent();
        all.forEach(System.out::println);
    }

    @Test
    public void testFindAllClasses(){
        ClassMapper classMapper = session.getMapper(ClassMapper.class);
        List<Classes> all = classMapper.findAll();
        all.forEach(System.out::println);
    }

}
